Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » php-Eclipse corrupted on restart(Eclipse runs fine when started from install but not when started from )
php-Eclipse corrupted on restart [message #1733477] Sat, 28 May 2016 00:05 Go to next message
Gary Roach is currently offline Gary RoachFriend
Messages: 5
Registered: January 2016
Junior Member
I am trying to get Mars 2 to run on a Debian Linux Stretch 64 bit system. Since debian is still back on Eclipse 3.8 i chose to use the Eclipse installer system. The installer is great. The system seems to be fully functional when started from the installer but when started from the eclipse directory all sorts of problems occur. Some of the tool bar selections don't work any more and if I try to set up a project I start getting Java segmentation fault errors and run time errors.

I suspect that the problem occurs because two different eclipse.ini files are used. I did notice that the regular eclipse.ini file contains the line "Dosgi.requiredJavaVersion=1.7" Running java -version and the command line, on my system, gives:

openjdk version "1.8.0_91"
OpenJDK Runtime Environment (build 1.8.0_91-8u91-b14-2-b14)
OpenJDK 64-Bit Server VM (build 25.91-b14, mixed mode)

Could the problem be that I have the wrong version of java. The version is set by debian and I don't think I can change it.

Any help will be sincerely appreciated.

Gary R.
Re: php-Eclipse corrupted on restart [message #1733481 is a reply to message #1733477] Sat, 28 May 2016 05:02 Go to previous message
Gary Roach is currently offline Gary RoachFriend
Messages: 5
Registered: January 2016
Junior Member
Fixed. The problem was that mars needs java 1.7 and I have 1.8 installed on my system. I wiped out the mars folders and downloaded the installer for Eclipse Neon, which used java 1.8. Problem solved. Eclipse Neon seems to be working fine.

Gary R.
Previous Topic:know Project or Plugin for Remote execution ?
Next Topic:Java file chooser
Goto Forum:
  


Current Time: Wed Aug 21 01:26:37 GMT 2019

Powered by FUDForum. Page generated in 0.02962 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top